com.sun.jna

## Interface NativeMapped

- All Known Implementing Classes:
    BaseTSD.DWORD_PTR, BaseTSD.LONG_PTR, BaseTSD.SIZE_T, BaseTSD.SSIZE_T, BaseTSD.ULONG_PTR, BaseTSD.ULONG_PTRByReference, ByReference, ByteByReference, DoubleByReference, FloatByReference, IDispatch, IDispatch.ByReference, IntByReference, IntegerType, IRecordInfo, ITypeComp, ITypeComp.ByReference, ITypeInfo, ITypeInfo.ByReference, ITypeLib, ITypeLib.ByReference, IUnknown, IUnknown.ByReference, LongByReference, NativeLong, NativeLongByReference, OaIdl._VARIANT_BOOL, OaIdl._VARIANT_BOOLByReference, OaIdl.DISPID, OaIdl.DISPIDByReference, OaIdl.HREFTYPE, OaIdl.HREFTYPEByReference, OaIdl.MEMBERID, OaIdl.MEMBERIDByReference, OaIdl.TYPEKIND, OaIdl.VARIANT_BOOL, OaIdl.VARIANT_BOOLByReference, PointerByReference, PointerType, ShortByReference, Structure.FFIType.size_t, WinDef.ATOM, WinDef.BOOL, WinDef.BOOLByReference, WinDef.BYTE, WinDef.CHAR, WinDef.CHARByReference, WinDef.DWORD, WinDef.DWORDByReference, WinDef.DWORDLONG, WinDef.HBITMAP, WinDef.HBRUSH, WinDef.HCURSOR, WinDef.HDC, WinDef.HFONT, WinDef.HICON, WinDef.HINSTANCE, WinDef.HMENU, WinDef.HMODULE, WinDef.HPALETTE, WinDef.HPEN, WinDef.HRGN, WinDef.HRSRC, WinDef.HWND, WinDef.INT_PTR, WinDef.LCID, WinDef.LONG, WinDef.LONGByReference, WinDef.LONGLONG, WinDef.LONGLONGByReference, WinDef.LPARAM, WinDef.LPVOID, WinDef.LRESULT, WinDef.PVOID, WinDef.SCODE, WinDef.SCODEByReference, WinDef.SHORT, WinDef.UCHAR, WinDef.UINT, WinDef.UINT_PTR, WinDef.UINTByReference, WinDef.ULONG, WinDef.ULONGByReference, WinDef.ULONGLONG, WinDef.ULONGLONGByReference, WinDef.USHORT, WinDef.USHORTByReference, WinDef.WORD, WinDef.WORDByReference, WinDef.WPARAM, WinNT.HANDLE, WinNT.HANDLEByReference, WinNT.HRESULT, WinNT.PSIDByReference, WinReg.HKEY, WinReg.HKEYByReference, Winsvc.SC_HANDLE, WinUser.HDEVNOTIFY, WinUser.HHOOK, WTypes.BSTR, WTypes.BSTRByReference, WTypes.VARTYPE, X11.Atom, X11.AtomByReference, X11.Colormap, X11.Cursor, X11.Display, X11.Drawable, X11.Font, X11.GC, X11.KeySym, X11.Pixmap, X11.Screen, X11.Visual, X11.VisualID, X11.Window, X11.WindowByReference, X11.XID, X11.XImage, X11.Xrender.PictFormat

      public interface NativeMapped

  Provide conversion for a Java type to and from a native type. `Function` and `Structure` will use this interface to determine how to map a given Java object into a native type.

  Implementations of this interface must provide a no-args constructor.

  Author:
    wmeissner

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `fromNative(java.lang.Object nativeValue, FromNativeContext context)` Convert the given native object into its Java representation using the given context.
    `java.lang.Class` | `nativeType()` Indicate the native type used by this converter.
    `java.lang.Object` | `toNative()` Convert this object into a supported native type.

- - ### Method Detail

    - #### fromNative

          java.lang.Object fromNative(java.lang.Object nativeValue,
                                    FromNativeContext context)

      Convert the given native object into its Java representation using the given context.

    - #### toNative

          java.lang.Object toNative()

      Convert this object into a supported native type.

    - #### nativeType

          java.lang.Class nativeType()

      Indicate the native type used by this converter.

Copyright © 2007-2013 Timothy Wall. All Rights Reserved.